#ifndef HR_SCREENS
#define HR_SCREENS

#include <vgagl.h>

extern struct hr_screen {
	int flags;
	int mode;
	GraphicsContext *logical;
	GraphicsContext *temp;
	unsigned char *mask;
	unsigned char *palette_store;
	struct hr_window *firstwindow;
	struct hr_window *active_window;
	struct hr_menu *rootmenu;
}dummy_screen;

extern struct hr_screen *hr_screen_open(int mode,int flags);
extern void hr_screen_close(struct hr_screen *screen);
extern void hr_set_active_screen(struct hr_screen *screen);
extern void hr_update_screen(struct hr_screen *screen,int flags);
#endif
